/*****************************************************************************
 *
 * ORM128S.h - Library for using OR-AVR-M128-S methods.
 *	
 * Written by Vladimir Ermakov, Andrey Demenev, Botov Anton.
 * Copyright (c) 2010 Open Robotics project. For more information, see
 *
 *   http://open-robotics.ru/
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 *  THE SOFTWARE.
 *****************************************************************************/

#ifndef ORM128S_h
#define ORM128S_h

#include <stdint.h>
#include <stdbool.h>

#define SERVO_CHMAX_S 31

void or_m128s_servo_set_position(uint8_t n, uint16_t pos);
uint16_t or_m128s_servo_get_position(uint8_t n);
void or_m128s_init(void);

#endif